Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class AbstractOWLlinkElementHandler<O>

    java.lang.Object

          org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler<O>

All Implemented Interfaces:
  OWLlinkElementHandler<O>

Direct Known Subclasses:
  AbstractOWLlinkKBRequestElementHandler, AbstractOWLlinkRequestElementHandler, AbstractOWLlinkSetElementHandler, OWLlinkIRIMappingElementHandler, OWLlinkLiteralElementHandler, OWLlinkOntologyIRIElementHandler, OWLlinkPrefixElementHandler, OWLlinkRequestMessageElementHandler

    public abstract class AbstractOWLlinkElementHandler<O>

extends
implements OWLlinkElementHandler<O>

Author: Olaf Noppens Date: 25.10.2009

Constructor Summary
`AbstractOWLlinkElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `endElement()`
`O` | `getOWLlinkObject()`
`protected OWLlinkElementHandler` | `getParentHandler()`
`void` | `handleChild(OWLlinkElementHandler handler)`
`void` | `handleChild(OWLlinkIRIMappingElementHandler handler)`
`void` | `handleChild(OWLlinkLiteralElementHandler handler)`
`void` | `handleChild(OWLlinkOntologyIRIElementHandler handler)`
`void` | `handleChild(OWLlinkPrefixElementHandler handler)`
`void` | `handleChild(OWLlinkRequestElementHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOWLlinkElementHandler

    public AbstractOWLlinkElementHandler(OWLXMLParserHandler handler)

Method Detail

### getParentHandler

    protected OWLlinkElementHandler getParentHandler()

### handleChild

    public void handleChild(OWLlinkRequestElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkLiteralElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkOntologyIRIElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkIRIMappingElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkPrefixElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### getOWLlinkObject

    public O getOWLlinkObject()

  Specified by:
    `getOWLlinkObject` in interface `OWLlinkElementHandler<O>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD